%define debug_package %{nil}
%define repo github.com/PlakarKorp/plakar
Name:           plakar
Version:        1.0.2
Release:        1%{?dist}
Summary:        plakar is a backup solution

License:        ISC
URL:            https://%{repo}
Source0:        https://%{repo}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  git golang systemd

AutoReq:        no
AutoReqProv:    no

%description
A backup solution

%prep
mkdir -p %{_builddir}/src/github.com/PlakarKorp
cd %{_builddir}/src/github.com/PlakarKorp
tar -xvzf %{_sourcedir}/v%{version}.tar.gz
mv plakar-%{version} plakar
cd plakar

%build
export GOPATH="$(pwd)"
export PATH=$PATH:"$(pwd)"/bin
cd src/%{repo}
go build -v .

%install
mkdir -p %{buildroot}%{_bindir}
cp src/%{repo}/%{name} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
for command in $(find src/%{repo}/cmd -name "*.1")
do
        install -Dm644 "$command" %{buildroot}%{_mandir}/"man1/$(basename $command)"
done

%files
%{_bindir}/%{name}
%license src/%{repo}/LICENSE
%{_mandir}/man1/%{name}*.1*

%changelog
* Thu Jul 10 2025 Pierre-Alain TORET <pierre-alain.toret@protonmail.com> 1.0.2-1
- Update to version 1.0.2

* Wed May 21 2025 Pierre-Alain TORET <pierre-alain.toret@protonmail.com> 1.0.1-1
- Initial release for version 1.0.1
